using System;
using System.Collections.Generic;
using System.Text;

namespace Kreisfläche_break
{
   class Program
   {
      static void Main(string[] args)
      {
         float durchmesser;
         double kreisfläche;

         Console.WriteLine("Geben Sie einen Durchmesser ein, um die Kreisfläche zu berechnen.");
         Console.WriteLine("Die Eingabe von 0 beendet das Programm.");

         do
         {
            Console.Write("Durchmesser (cm): ");
            durchmesser = float.Parse(Console.ReadLine());
            if (durchmesser == 0)
               break;
            kreisfläche = durchmesser * durchmesser * Math.PI / 4;
            Console.WriteLine("Die Fläche des Kreises beträgt {0} cm²", kreisfläche);
         } while (durchmesser != 0);
      }
   }
}
